from .core import _GlobalWrapper as Wrapper


class LibraryAPI(object):
    """
    The :class:`~.LibraryAPI` object holds method to access at
    Library on Facette
    """
    _API_PATH = 'library'

    def __init__(self, **kwargs):
        self.metric_groups = Wrapper('%s/metricgroups/' % self._API_PATH,
                                     **kwargs)
        self.source_groups = Wrapper('%s/sourcegroups/' % self._API_PATH,
                                     **kwargs)
        self.scales = Wrapper('%s/scales/' % self._API_PATH,
                              **kwargs)
        self.units = Wrapper('%s/units/' % self._API_PATH,
                             **kwargs)
        self.units.label = Wrapper('%s/units/labels' % self._API_PATH,
                                   **kwargs)
        self.graphs = Wrapper('%s/graphs/' % self._API_PATH,
                              **kwargs)
        self.collection = Wrapper('%s/collections/' % self._API_PATH,
                                  **kwargs)
