from .core import _GlobalWrapper as Wrapper


class CatalogAPI(object):
    """
    The :class:`~.CatalogAPI` object holds method to access at
    Catalog on Facette
    """
    _API_PATH = 'catalog'

    def __init__(self, **kwargs):
        self.origins = Wrapper('%s/origins/' % self._API_PATH,
                               **kwargs)
        self.sources = Wrapper('%s/sources/' % self._API_PATH,
                               **kwargs)
        self.metrics = Wrapper('%s/metrics/' % self._API_PATH,
                               **kwargs)
